// Copyright (C) 1999-2002, Matevz Tadel.
// This file is part of fltk-mt. License: GNU LGPL version 2.

#ifndef FL_WIDGET_LABELER_H
#define FL_WIDGET_LABELER_H

#include <string>
#include <list>
#include <stdio.h>
#include <stdarg.h>

class Fl_Widget;

class Fl_Widget_Labeler {
private:

  list<char*>	_chunks;
  char*         _cur_chunk_pos;
  char*         _cur_chunk_end;
protected:
  int		_chunk_size;
  void		new_chunk();
public:
  Fl_Widget_Labeler(int s=4096);
  ~Fl_Widget_Labeler();
  void label_widget(Fl_Widget* w, const char* l) throw(string);
  void labelf_widget(Fl_Widget* w, const char* fmt, ...) throw(string);
};

#endif
