MAJOR_V := 0
VERSION	:= 0.1

# Edit these two to sane settings. Or set to null ... then /usr is assumed.
FLTK_DIR := ${OPTD}
INST_DIR := ${OPTD}

export CXX := g++
export LD  := g++
export CXXFLAGS := -g

ifdef FLTK_DIR
export CPPFLAGS := -I.. -I${FLTK_DIR}/include -I/usr/X11R6/include
export LIBS	:= -L${OPTD}/lib -lfltk \
		   -L/usr/X11R6/lib -lX11 -lXext -lXpm -lGL -lGLU
else
export CPPFLAGS := -I.. -I/usr/X11R6/include
export LIBS	:= -L/usr/X11R6/lib -lX11 -lXext -lXpm -lGL -lGLU
endif

ifndef INST_DIR
INST_DIR := /usr
endif
