// Copyright (C) 1999-2002, Matevz Tadel.
// This file is part of fltk-mt. License: GNU LGPL version 2.

#ifndef FL_TOPTITLED_SCROLLPACK_H
#define FL_TOPTITLED_SCROLLPACK_H

#include <FL/Fl_Window.H>
#include <FL/Fl_Pack.H>
#include <FL/Fl_Scroll.H>
#include <FL/Fl_SWM.H>

class Fl_TopTitled_ScrollPack : public Fl_Window,
				public Fl_SWM_Client
{
private:
  void _build();
protected:
  Fl_Scroll*	mScroll;
  Fl_Pack*	mPack;
public:
  Fl_TopTitled_ScrollPack(const char* t=0);
  Fl_TopTitled_ScrollPack(int h_top, int w, int h, const char* t=0);

  void partition(int h_top, int w, int h);
};

#endif
